Mandriva Linux Security Advisory : foomatic-filters (MDVSA-2011:125)

Medium Nessus Plugin ID 55849


The remote Mandriva Linux host is missing a security update.


A vulnerability has been discovered and corrected in foomatic-filters :

foomatic-rip allows remote attackers to execute arbitrary code via a crafted *FoomaticRIPCommandLine field in a .ppd file (CVE-2011-2697, CVE-2011-2964).

Packages for 2009.0 are provided as of the Extended Maintenance Program. Please visit this link to learn more: products_id=490

The updated packages have been patched to correct this issue.


Update the affected foomatic-filters package.

Plugin Details

Severity: Medium

ID: 55849

File Name: mandriva_MDVSA-2011-125.nasl

Version: $Revision: 1.4 $

Type: local

Published: 2011/08/15

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:foomatic-filters, cpe:/o:mandriva:linux:2009.0, cpe:/o:mandriva:linux:2010.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2011/08/14

Reference Information

CVE: CVE-2011-2697, CVE-2011-2964

MDVSA: 2011:125